/*
 * Copyright (C) 2003 ichitokumei, tt. 
 * 
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef INKWP_H
#define INKWP_H

#include <qmainwindow.h>
#include <qlist.h>
#include "inkwpdata.h"
#include "inkwpwidget.h"

class QTabWidget;
class QToolButton;
class QAction;

class InkWp : public QMainWindow
{ 
  Q_OBJECT

 public:
  InkWp(QWidget *parent = 0, const char *name = 0);
 public slots:
  void closeEvent(QCloseEvent *);
  void slotPoint();
  void slotPointSelected();
  void slotSizeSelected(QAction *);
  void slotTabChanged(QWidget *);
  void slotMemo();
  void slotPng();
  void slotNewPage();
  void slotDeletePage();
  void slotClear();
 private:
  void setCharHeight(InkWpWidget *, int);
  void save(int);
  void load(int);
  InkWpWidget* insertNewPage(int);

  InkWpData *inkWpData;
  InkWpWidget *inkWpWidget;
  QList<InkWpWidget> inkWpWidgetList;

  int tabSize;

  QTabWidget* tabWidget;
  QToolButton *toolButtonSpace, *toolButtonBS, *toolButtonDeleteLine, *toolButtonEnter, 
	*toolButtonPoint, *toolButtonTwo;
};
#endif // INKWP_H
